Package org.apache.activemq.artemis.jms.server

## Interface JMSServerConfigParser

-     public interface JMSServerConfigParser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JMSConfiguration` | `parseConfiguration​(java.io.InputStream stream)` | Parse the JMS Configuration XML as a JMSConfiguration object
    `JMSConfiguration` | `parseConfiguration​(org.w3c.dom.Node rootnode)` | Parse the JMS Configuration XML as a JMSConfiguration object
    `JMSQueueConfiguration` | `parseQueueConfiguration​(org.w3c.dom.Node node)` | Parse the Queue Configuration node as a QueueConfiguration object
    `TopicConfiguration` | `parseTopicConfiguration​(org.w3c.dom.Node node)` | Parse the topic node as a TopicConfiguration object

- - ### Method Detail

    - #### parseConfiguration

          JMSConfiguration parseConfiguration​(java.io.InputStream stream)
                                       throws java.lang.Exception

      Parse the JMS Configuration XML as a JMSConfiguration object
      Throws:
        `java.lang.Exception`

    - #### parseConfiguration

          JMSConfiguration parseConfiguration​(org.w3c.dom.Node rootnode)
                                       throws java.lang.Exception

      Parse the JMS Configuration XML as a JMSConfiguration object
      Throws:
        `java.lang.Exception`

    - #### parseTopicConfiguration

          TopicConfiguration parseTopicConfiguration​(org.w3c.dom.Node node)
                                              throws java.lang.Exception

      Parse the topic node as a TopicConfiguration object
      Parameters:
        `node` -
      Returns:
        `TopicConfiguration` parsed from the node
      Throws:
        `java.lang.Exception`

    - #### parseQueueConfiguration

          JMSQueueConfiguration parseQueueConfiguration​(org.w3c.dom.Node node)
                                                 throws java.lang.Exception

      Parse the Queue Configuration node as a QueueConfiguration object
      Parameters:
        `node` -
      Returns:
        `JMSQueueConfiguration` parsed from the node
      Throws:
        `java.lang.Exception`